[applets/kickoff] Improve appearance of draggable button grid in settings window
ClosedPublic

Authored by ngraham on Aug 14 2019, 5:33 PM.

Details

Summary

The button grid was not centered, the content inside the buttons was not centered, the
vertical spacing was too high on top and too low on bottom, and the explanatory text
got cut off.

This patch solves all those problems.

Big thanks to @davidedmundson for his help getting this merge-ready.

BUG: 409957
FIXED-IN: 5.17.0

Test Plan

Before:


After:

Diff Detail

Repository
R119 Plasma Desktop
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
ngraham created this revision.Aug 14 2019, 5:33 PM
Restricted Application added a project: Plasma. · View Herald TranscriptAug 14 2019, 5:33 PM
Restricted Application added a subscriber: plasma-devel. · View Herald Transcript
ngraham requested review of this revision.Aug 14 2019, 5:33 PM
davidedmundson requested changes to this revision.Aug 14 2019, 6:22 PM
davidedmundson added a subscriber: davidedmundson.

Intention makes sense, as do most the changes. Just some minor comments.

applets/kickoff/package/contents/ui/ConfigGeneral.qml
119

What's this about? It's typically a sign that something else is wrong.

Probably the lack of spacer in this dialog means the label below occupies quite large box that it's in the middle of.

Try aligning the label below to the top instead.

applets/kickoff/package/contents/ui/KickoffConfigurationButton.qml
45

It's almost always wrong to specify a width inside a ColumnLayout.

use implicitWidth or Layout.preferredWidth

This revision now requires changes to proceed.Aug 14 2019, 6:22 PM
ngraham marked an inline comment as done.Aug 14 2019, 6:34 PM
ngraham added inline comments.
applets/kickoff/package/contents/ui/ConfigGeneral.qml
119

The reason is actually because of the weird way that the inline labels are positioned in ConfigButtons which causes the component to have no spacing above it, but extra spacing below it. Definitely open to fixing that, but I couldn't figure out how.

ngraham updated this revision to Diff 63756.Aug 14 2019, 6:34 PM

Use Layout.preferred[Width|Height]

GB_2 accepted this revision as: VDG, GB_2.Aug 16 2019, 7:57 AM
GB_2 added a subscriber: GB_2.

Visually +1

@davidedmundson ping. I fixed one issue but may need a bit of help for the one about the weird sizing for the button grid component.

GB_2 added a reviewer: hein.Sep 5 2019, 3:46 PM
GB_2 added a subscriber: hein.

@davidedmundson this missed 5.17. I could still use a hand with the changes you requested to land this in 5.18.

ngraham updated this revision to Diff 66916.Thu, Sep 26, 7:04 PM

Rebase again

ngraham updated this revision to Diff 66922.Thu, Sep 26, 8:15 PM

Squash changes from D24251

ngraham edited the summary of this revision. (Show Details)Thu, Sep 26, 8:15 PM
ngraham marked 2 inline comments as done.
ngraham retitled this revision from [Kickoff] Improve appearance of draggable button grid in settings window to [applets/kickoff] Improve appearance of draggable button grid in settings window.
davidedmundson accepted this revision.Thu, Sep 26, 8:17 PM
This revision is now accepted and ready to land.Thu, Sep 26, 8:17 PM
This revision was automatically updated to reflect the committed changes.